# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "conv_ja_char/version"

Gem::Specification.new do |spec|
  spec.name          = "conv_ja_char"
  spec.version       = ConvJaChar::VERSION
  spec.authors       = ["LicaOka"]
  spec.email         = ["lica.oka@gmail.com"]

  spec.summary       = %q{a library to convert Japanese character, like Hiragana or Katanaka, to Romaji.}
  spec.description   = %q{this library converts Hiragana or Katakana (both, UTF-8 without BOM) to Romaji form (using roman alphabet).}
  spec.homepage      = "https://github.com/LicaOka/conv_ja_char"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    # to allow pushing to any host
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.14"
  spec.add_development_dependency "rake", "~> 12.0"
  spec.add_development_dependency "rspec", "~> 3"

  spec.add_development_dependency "rubocop", "~> 0.49.1"
  spec.add_development_dependency "onkcop", "~> 0.49.1"
  spec.add_development_dependency "pry", "~> 0.10"
  spec.add_development_dependency "pry-byebug", "~> 3.4"
  spec.add_development_dependency "debase", "~> 0.2.1"
end
